Bug Hunting Session
Bug 58991 - [Task]: Unify interfaces between LibO and Website Infrastructure
Summary: [Task]: Unify interfaces between LibO and Website Infrastructure
Status: RESOLVED INVALID
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: WWW (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on: 58989 59012 58990
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-03 18:26 UTC by Rainer Bielefeld Retired
Modified: 2014-09-03 12:05 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Bielefeld Retired 2013-01-03 18:26:07 UTC
At least for 2 applications, BSA and Extensions Repository, it is useful to transfer some info concerning current LibO version and settings with a link to that Websites. We should not reinvent the wheel for each application, but try to unify.
Comment 1 Rob Snelders 2013-01-03 19:05:38 UTC
I know there are links to:
- extensions.libreoffice.org
- extensions.libreoffice.org/dictionaries
- www.libreoffice.org (at the about-box)
- www.libreoffice.org (at the licence)
- www.libreoffice.org/about-us/credits/
- hub.libreoffice.org/send-feedback/ (ATM links to BSA)
- help.libreoffice.org (a lot)
Probably there are more.

In these few we have for language-parameter:
help -> Language (nl-NL)
extensions -> set_language (NL)
hub -> LOLocale (nl-NL)
www -> they have the nl.libreoffice.org. And the pages aren't on the same path

That seems hard to unite to me.

In LibreOffice it is hardly usefull to do that. As building the URL's is easy and there are already functions to give back the Locale in the long form.
Comment 2 Rainer Bielefeld Retired 2013-01-04 07:15:21 UTC
I add "Bug 59012 - Transfer LibO Version info to EXTENSIONSWEBSITE"
Comment 3 retired 2014-01-01 12:13:24 UTC
Rob, what do you think about this bug? It's in needinfo and there won't be an update from Rainer. So is there actually any action left to be proceeded here?
Comment 4 Rob Snelders 2014-01-05 19:07:39 UTC
Andreas do you know what to do with this bug and the ones it depends on?
Is this something that can be fixed?
Comment 5 Andreas Mantke 2014-01-05 19:21:53 UTC
@Rob Snelders: let's discuss that issue at FOSDEM in person and think about a solution / non-solution.
Comment 6 QA Administrators 2014-08-04 16:17:29 UTC
Dear Bug Submitter,

This bug has been in NEEDINFO status with no change for at least 6 months. Please provide the requested information as soon as possible and mark the bug as UNCONFIRMED. Due to regular bug tracker maintenance, if the bug is still in NEEDINFO status with no change in 30 days the QA team will close the bug as INVALID due to lack of needed information.

For more information about our NEEDINFO policy please read the wiki located here: 
https://wiki.documentfoundation.org/QA/FDO/NEEDINFO

If you have already provided the requested information, please mark the bug as UNCONFIRMED so that the QA team knows that the bug is ready to be confirmed.


Thank you for helping us make LibreOffice even better for everyone!


Warm Regards,
QA Team
Comment 7 QA Administrators 2014-09-03 12:05:15 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and a lack of information which is needed in order to accurately reproduce and confirm the problem. We encourage you to retest your bug against the latest release. If the issue is still present in the latest stable release, we need the following information (please ignore any that you've already provided):

a) Provide details of your system including your operating system and the latest version of LibreOffice that you have confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED and we will attempt to reproduce the issue. 
Please do not:
a) respond via email 
b) update the version field in the bug or any of the other details on the top section of FDO